using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace JuSNS.Web.inc.Ajax.index
{
    public partial class dynSet : JuSNS.UI.Page.UserPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string a = Request.QueryString["a"];
            string uID = Request.QueryString["uid"];
            if (a=="clear")
            {
                Response.Write("<div class=\"f_box1\"><div class=\"boxtitle chengse\"><div class=\"nl bold\">确定要屏蔽此用户的动态？</div><div class=\"nr\"><a href=\"javascript:;\" onclick=\"closediv($('div_closedyn'));\">关闭</a>&nbsp; </div></div><div class=\"pstr padding10\">你下次登录将屏蔽此用户的所有动态。</div><div class=\"pstr padding10\"><input value=\"确定\" type=\"button\" class=\"f-button\" onclick=\"CleardynSave('" + uID + "',this);\" id=\"saveDynClear\" /> <input value=\"取消\" onclick=\"closediv($('div_closedyn'));\" type=\"button\" class=\"f-reset\" id=\"saveDynClearreset\" /></div></div>");
                Response.End();
            }
            else if (a == "save")
            {
                string userXML = "~/user/config/xml/" + this.UserID.ToString() + ".xml";
                string endStr = JuSNS.Common.Public.getXML(userXML, "cleardyn", string.Empty, 1);
                if (endStr.IndexOf(uID + ",") == -1)
                {
                    string editStr = endStr + uID+",";
                    string getRuslut = JuSNS.Common.Public.getXML(userXML, "cleardyn", editStr, 2);
                }
                Response.Write("此用户的动态已经屏蔽！下次登录将生效。");
                Response.End();
            }
        }
    }
}
